Bug 817490 - [abrt] kernel: [151742.150829] WARNING: at /root/hostap/hostapd/compat-wireless-2012-04-23/net/mac80211/iface.c:162 ieee80211_check_queues+0x119/0x130 [mac80211]()
[abrt] kernel: [151742.150829] WARNING: at /root/hostap/hostapd/compat-wirele...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:b47572e1dd184475ee15ad777d4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-30 05:17 EDT by kalgecin
Modified: 2012-05-16 09:43 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 09:43:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix this problem for devices with a single hardware queue (3.38 KB, patch)
2012-05-07 12:04 EDT, Larry Finger
no flags Details | Diff

  None (edit)
Description kalgecin 2012-04-30 05:17:23 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.2-6.fc16.x86_64 root=UUID=d3625380-1c9b-4695-b183-cda6918c0034 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
comment:        I connected usb wifi adapter
kernel:         3.3.2-6.fc16.x86_64
reason:         [151742.150829] WARNING: at /root/hostap/hostapd/compat-wireless-2012-04-23/net/mac80211/iface.c:162 ieee80211_check_queues+0x119/0x130 [mac80211]()
time:           Mon 30 Apr 2012 01:16:42 PM MSK

backtrace:
:[151742.150829] WARNING: at /root/hostap/hostapd/compat-wireless-2012-04-23/net/mac80211/iface.c:162 ieee80211_check_queues+0x119/0x130 [mac80211]()
:[151742.150836] Hardware name: 300V3A/300V4A/300V5A
:[151742.150840] Modules linked in: rtl8187(O) eeprom_93cx6(O) vfat fat usb_storage ppp_mppe ppp_async crc_ccitt ppp_generic slhc tcp_lp ipt_MASQUERADE nf_nat_h323 nf_conntrack_h323 nf_nat_pptp nf_conntrack_pptp nf_conntrack_proto_gre nf_nat_proto_gre nf_nat_tftp nf_conntrack_tftp nf_nat_sip nf_conntrack_sip nf_nat_irc nf_conntrack_irc nf_nat_ftp nf_conntrack_ftp iptable_nat nf_nat ppdev parport_pc lp parport fuse rfcomm(O) be2iscsi iscsi_boot_sysfs fcoe libfcoe libfc scsi_transport_fc bnx2i scsi_tgt cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio 8021q garp stp llc ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep(O) ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack btusb(O) bluetooth(O) arc4 iwlwifi(O) mac80211(O) cfg80211(O) snd_hda_codec_hdmi snd_hda_codec_realtek uvcvideo videobuf2_core videodev rfkill snd_hda_intel snd_hda_codec snd_hwd
:ep snd_seq snd_seq_device snd_pcm snd_timer iTCO_wdt snd media r8169 iTCO_vendor_support soundcore videobuf2_vmalloc videobuf2_memops i2c_i801 snd_page_alloc mii uinput joydev microcode binfmt_misc compat(O) i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[151742.151032] Pid: 2407, comm: NetworkManager Tainted: G        W  O 3.3.2-6.fc16.x86_64 #1
:[151742.151037] Call Trace:
:[151742.151056]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
:[151742.151065]  [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
:[151742.151094]  [<ffffffffa029b8e9>] ieee80211_check_queues+0x119/0x130 [mac80211]
:[151742.151122]  [<ffffffffa029d5f0>] ieee80211_do_open+0x150/0xb10 [mac80211]
:[151742.151134]  [<ffffffff815f7f9d>] ? notifier_call_chain+0x4d/0x70
:[151742.151164]  [<ffffffffa029e01d>] ieee80211_open+0x6d/0x80 [mac80211]
:[151742.151173]  [<ffffffff814e8def>] __dev_open+0x8f/0xe0
:[151742.151179]  [<ffffffff814e9091>] __dev_change_flags+0xa1/0x180
:[151742.151186]  [<ffffffff814e9228>] dev_change_flags+0x28/0x70
:[151742.151195]  [<ffffffff814f4ae3>] do_setlink+0x283/0x9d0
:[151742.151207]  [<ffffffff812de700>] ? nla_parse+0x30/0xe0
:[151742.151215]  [<ffffffff814f53e2>] rtnl_setlink+0xc2/0x120
:[151742.151225]  [<ffffffff81062d00>] ? compat_sys_sysctl+0x40/0xe0
:[151742.151250]  [<ffffffff814f67b4>] rtnetlink_rcv_msg+0x124/0x2e0
:[151742.151262]  [<ffffffff814f6690>] ? __rtnl_unlock+0x20/0x20
:[151742.151272]  [<ffffffff8150fe29>] netlink_rcv_skb+0xa9/0xd0
:[151742.151281]  [<ffffffff814f4575>] rtnetlink_rcv+0x25/0x40
:[151742.151289]  [<ffffffff8150f7ee>] netlink_unicast+0x1ae/0x1f0
:[151742.151298]  [<ffffffff8150faee>] netlink_sendmsg+0x2be/0x320
:[151742.151307]  [<ffffffff814ce917>] sock_sendmsg+0x117/0x130
:[151742.151315]  [<ffffffff814ce917>] ? sock_sendmsg+0x117/0x130
:[151742.151324]  [<ffffffff814d12da>] ? move_addr_to_kernel+0x5a/0xa0
:[151742.151332]  [<ffffffff814dd016>] ? verify_iovec+0x56/0xd0
:[151742.151339]  [<ffffffff814cfef6>] __sys_sendmsg+0x396/0x3b0
:[151742.151349]  [<ffffffff814d22a9>] sys_sendmsg+0x49/0x90
:[151742.151357]  [<ffffffff815fc1e9>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 11250a54-2dfb-4bb5-8bfc-e24ad861b110
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4789.12
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2430M CPU @ 2.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2401
:System Memory: 5884
:System Swap: 6056
:Vendor: SAMSUNG ELECTRONICS CO., LTD.
:System: 300V3A/300V4A/300V5A 0.1
:Form factor: Laptop
:Kernel: 3.3.2-6.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:5197:49334) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:278:5197:49334) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:5197:49334) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:5197:49334) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7241:5197:49334) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4318:4177:5197:49334) pci, None, VIDEO, N/A
:(32902:7200:5197:49334) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:5197:49334) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:2198:32902:20485) pci, iwlwifi, NETWORK, Centrino Wireless-N 130 BGN
:(32902:7171:5197:49334) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:5197:49334) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:5197:49334) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:5197:49334) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:5197:49334) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:257:5197:49334) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 29661080 16354089 16057280 7430144 6710954 6710954
:/dev/sdd3 WITHHELD vfat 16384 16384 18450573 12882288 12882288 0 0 0
:/dev/sdd1 WITHHELD ext4 4096 4096 81827027 69483707 65387707 20480000 19926231 19926231
:
Comment 1 Johannes Berg 2012-05-07 07:32:09 EDT
Please try this change


--- a/net/mac80211/iface.c
+++ b/net/mac80211/iface.c
@@ -206,8 +206,10 @@ static void ieee80211_set_default_queues(struct ieee80211_sub_if_data *sdata)
        for (i = 0; i < IEEE80211_NUM_ACS; i++) {
                if (local->hw.flags & IEEE80211_HW_QUEUE_CONTROL)
                        sdata->vif.hw_queue[i] = IEEE80211_INVAL_HW_QUEUE;
-               else
+               else if (local->hw.queues >= IEEE80211_NUM_ACS)
                        sdata->vif.hw_queue[i] = i;
+               else
+                       sdata->vif.hw_queue[i] = 0;
        }
        sdata->vif.cab_queue = IEEE80211_INVAL_HW_QUEUE;
 }
Comment 2 Larry Finger 2012-05-07 12:04:57 EDT
Created attachment 582709 [details]
Patch to fix this problem for devices with a single hardware queue

This patch should fix the problem - at least it does for my systems. At the moment, it has not yet been incorporated in the wireless-testing tree, but that should happen soon.

If you are able to test, please report success or failure.
Comment 3 Stanislaw Gruszka 2012-05-16 07:30:12 EDT
Josh, please apply above patch as fix for this bug.
Comment 4 Josh Boyer 2012-05-16 09:15:29 EDT
Hm.  So it seems the reporter was using a self-built compat-wireless bundle.  I'd be happy to apply the patch, but I wanted to make sure it's really needed on a 3.3.x stable series of kernels without compat-wireless.

Also, has the fix been CC'd to the stable maintainers if so?
Comment 5 Stanislaw Gruszka 2012-05-16 09:43:36 EDT
Ahh, ok this is fix fo

commit 3a25a8c8b75b430c4f4022918e26fa51d557ecde
Author: Johannes Berg <johannes.berg@intel.com>
Date:   Tue Apr 3 16:28:50 2012 +0200

    mac80211: add improved HW queue control

queued for 3.5. That will be fixed upstream before we will start to use it.

Note You need to log in before you can comment on or make changes to this bug.